# $Revision: 1.12 $, $Date: 2010/02/26 22:41:12 $
#
# Conditional build:
%bcond_with	java	# build with Java Native Interface
#
Summary:	Panorama Tools library
Summary(pl.UTF-8):	Panorama Tools - biblioteka do obróbki panoram
Name:		libpano12
Version:	2.8.6
Release:	3
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/panotools/%{name}-%{version}.tar.gz
# Source0-md5:	d4eae64c292bff3001ef3eef0fc9cb94
URL:		http://panotools.sourceforge.net/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
%{?with_java:BuildRequires:	jdk}
BuildRequires:	libjpeg-devel >= 6b
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Panorama Tools library.
%{!?with_java:Note: this version does not provide Java interface!}

%description -l pl.UTF-8
Panorama Tools - biblioteka do obróbki panoram.
%{!?with_java:Uwaga: ta wersja nie dostarcza interfesju dla Javy!}

%package devel
Summary:	Header files for Panorama Tools library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Panorama Tools
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libjpeg-devel >= 6b
Requires:	libpng-devel
Requires:	libtiff-devel

%description devel
Header files for Panorama Tools library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Panorama Tools.

%package static
Summary:	Static Panorama Tools library
Summary(pl.UTF-8):	Statyczna biblioteka Panorama Tools
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Panorama Tools library.

%description static -l pl.UTF-8
Statyczna biblioteka Panorama Tools.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-static \
	%{?with_java:--with-java=/usr/%{_lib}/java}%{!?with_java:--without-java}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.linux doc/*.txt
%attr(755,root,root) %{_bindir}/PTOptimizer
%attr(755,root,root) %{_bindir}/pano12info
%attr(755,root,root) %{_libdir}/libpano12.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libpano12.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpano12.so
%{_libdir}/libpano12.la
%{_includedir}/pano12

%files static
%defattr(644,root,root,755)
%{_libdir}/libpano12.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpano12.spec,v $
Revision 1.12  2010/02/26 22:41:12  hawk
- release 3

Revision 1.11  2010/01/11 12:55:38  hawk
- release 2

Revision 1.10  2008/05/12 12:20:01  patrys
- package ghost so symlink

Revision 1.9  2007-07-10 20:13:51  qboosh
- updated to 2.8.6
- some tools have been moved to libpano13

Revision 1.8  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:03  baggins
- converted to UTF-8

Revision 1.6  2006/08/19 18:20:13  qboosh
- updated to 2.8.4, removed obsolete build patch

Revision 1.5  2006/03/04 21:56:20  qboosh
- updated to 2.8.0, added build patch

Revision 1.4  2005/11/27 20:42:05  qboosh
- updated to 2.7.0.14

Revision 1.3  2005/10/27 22:24:06  qboosh
- updated to 2.7.0.11

Revision 1.2  2005/05/20 19:51:56  qboosh
- updated to 2.7.0.10 (64-bit fixes, optional Java without patching)
- removed obsolete nojava patch

Revision 1.1  2005/04/02 22:07:24  qboosh
- new
